Bug 1372558 - Incorrect syntax for LVM global_filter
Summary: Incorrect syntax for LVM global_filter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: beta
: 10.0 (Newton)
Assignee: Jeff Peeler
QA Contact: lkuchlan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-02 05:07 UTC by Dan Macpherson
Modified: 2016-12-14 15:55 UTC (History)
7 users (show)

Fixed In Version: instack-undercloud-5.0.0-0.20160907134010.649dc3f.el7.centos.noarch.rpm
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 15:55:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC

Description Dan Macpherson 2016-09-02 05:07:51 UTC
Description of problem:
I've run into LVM errors due to the global_filter parameter in /etc/lvm/lvm.conf


Actual results:

With the current filter:

global_filter = "[ r|^/dev/disk/by-path/ip.*iscsi.*\.org\.openstack:.*| ]"

It results in the following error for LVM commands:

[root@osp10 ~]# lvdisplay
  Invalid filter pattern "[ r|^/dev/disk/by-path/ip.*iscsi.*\.org\.openstack:.*| ]".
  Failed to create global regex device filter




Expected results:

I think the filter is meant to be:

global_filter = [ "r|^/dev/disk/by-path/ip.*iscsi.*\.org\.openstack:.*|" ]

(with quotes inside the brackets)

This results in successful LVM commands:

[root@osp10 ~]# lvdisplay
  --- Logical volume ---
  LV Path                /dev/rhel/swap
  LV Name                swap
  VG Name                rhel
  LV UUID                TodDQO-LMp7-VTOE-bA3B-fDeD-TFUp-UedwvZ
  LV Write Access        read/write
  LV Creation host, time localhost, 2016-09-02 13:26:19 +1000
  LV Status              available
  # open                 2
  LV Size                2.00 GiB
  Current LE             512
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     8192
  Block device           253:1
   
  --- Logical volume ---
  LV Path                /dev/rhel/root
  LV Name                root
  VG Name                rhel
  LV UUID                feHxeY-RTMj-BVOY-aha0-EMfy-r101-H8TDT8
  LV Write Access        read/write
  LV Creation host, time localhost, 2016-09-02 13:26:20 +1000
  LV Status              available
  # open                 1
  LV Size                50.00 GiB
  Current LE             12800
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     8192
  Block device           253:0


Additional info:
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Logical_Volume_Manager_Administration/lvm_filters.html

Comment 2 Marius Cornea 2016-09-14 09:32:48 UTC
Asking for a blocker on this one since all the deployments where undercloud runs lvm fails.

Workaround is to manually adjust /etc/lvm/lvm.conf with:
global_filter = ["r|^/dev/disk/by-path/ip.*iscsi.*\.org\.openstack:.*|"]

and rerun openstack undercloud install

Comment 3 James Slagle 2016-09-14 12:04:19 UTC
Jeff, was this the same bug you fixed upstream? If so, can you check if that is in the OSP10 packaging yet?

Comment 4 Jeff Peeler 2016-09-14 14:44:04 UTC
Yes, this is the same bug (and seems to be the same as bug 1323024). I checked in dist-git and the tarball containing the fix is:

instack-undercloud-5.0.0.0b4.dev7-0.20160907134010.649dc3f-649dc3f4b9af704ffb230a06435ac21e3b800a75.tar.gz

Comment 5 James Slagle 2016-09-14 18:55:21 UTC
(In reply to Jeff Peeler from comment #4)
> Yes, this is the same bug (and seems to be the same as bug 1323024). I
> checked in dist-git and the tarball containing the fix is:
> 
> instack-undercloud-5.0.0.0b4.dev7-0.20160907134010.649dc3f-
> 649dc3f4b9af704ffb230a06435ac21e3b800a75.tar.gz

ok great, thanks. can you set the Fixed in Version and move the bug to MODIFIED?

Comment 8 lkuchlan 2016-10-09 09:50:18 UTC
Tested using:
instack-undercloud-5.0.0-0.20160907134010.649dc3f.el7.centos.noarch.rpm

Verification flow:

[root@controller-0 ~]# lvdisplay                                                                                                                                                                                   
  --- Logical volume ---                                                                                                                                                                                           
  LV Path                /dev/cinder-volumes/volume-09d0721d-da43-409d-820a-4701cde59714                                                                                                                           
  LV Name                volume-09d0721d-da43-409d-820a-4701cde59714                                                                                                                                               
  VG Name                cinder-volumes                                                                                                                                                                            
  LV UUID                4Rj0cz-dQ4o-84wo-y3vy-3z4D-ZEb3-GTcfc5                                                                                                                                                    
  LV Write Access        read/write                                                                                                                                                                                
  LV Creation host, time controller-0.localdomain, 2016-09-29 08:48:57 +0000                                                                                                                                       
  LV snapshot status     source of                                                                                                                                                                                 
                         _snapshot-82cb3c6e-b2bc-40ea-a306-de1f9e5ead7a [active]
  LV Status              available
  # open                 0
  LV Size                1.00 GiB
  Current LE             256
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     8192
  Block device           253:1
   
  --- Logical volume ---
  LV Path                /dev/cinder-volumes/_snapshot-82cb3c6e-b2bc-40ea-a306-de1f9e5ead7a
  LV Name                _snapshot-82cb3c6e-b2bc-40ea-a306-de1f9e5ead7a
  VG Name                cinder-volumes
  LV UUID                ovrI1T-J1HE-6XCk-kw7w-ppY7-3IDU-icJio8
  LV Write Access        read/write
  LV Creation host, time controller-0.localdomain, 2016-09-29 13:00:56 +0000
  LV snapshot status     active destination for volume-09d0721d-da43-409d-820a-4701cde59714
  LV Status              available
  # open                 0
  LV Size                1.00 GiB
  Current LE             256
  COW-table size         1.00 GiB
  COW-table LE           256
  Allocated to snapshot  0.00%
  Snapshot chunk size    4.00 KiB
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     8192
  Block device           253:3

Comment 10 errata-xmlrpc 2016-12-14 15:55:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.